#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char* argv[]) 
{
	FILE* fbin = NULL;
	FILE* ftext = NULL;
	char ftextname[512];
	int c = 0;

	if (argc != 2)
	{
		printf("Usage : a.out file.bin\n");
		return EXIT_FAILURE;
	}

	if (strlen(argv[1]) > 256)
	{
		printf("Name too long.\n");
		return EXIT_FAILURE;
	}

	fbin = fopen(argv[1], "rb");
	if (fbin == NULL)
	{
		printf("Input file not found.\n");
		return EXIT_FAILURE;
	}

	sprintf(ftextname, "%s.txt", argv[1]);
	ftext = fopen(ftextname, "w");
	if (ftext == NULL)
	{
		printf("Unable to create output file.\n");
		return EXIT_FAILURE;
	}

	c = fgetc(fbin);
	while (c != EOF)
	{
		fprintf(ftext, "%02x ", c);
		c = fgetc(fbin);
	}

	fclose(fbin);
	fclose(ftext);

	return EXIT_SUCCESS;
}
